import { Host, h } from "@stencil/core";
import { initialize } from "../../stores/wallet";
export class NKDiamond {
  constructor() {
    this.collectionId = undefined;
    this.isDev = undefined;
    this.loading = true;
  }
  async componentWillLoad() {
    await initialize(this.collectionId, this.isDev);
    this.loading = false;
  }
  render() {
    return h(Host, null, !this.loading ? h("slot", null) : null);
  }
  static get is() { return "nk-diamond"; }
  static get encapsulation() { return "shadow"; }
  static get properties() {
    return {
      "collectionId": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": true,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Collection ID"
        },
        "attribute": "collection-id",
        "reflect": false
      },
      "isDev": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "is-dev",
        "reflect": false
      }
    };
  }
  static get states() {
    return {
      "loading": {}
    };
  }
}
//# sourceMappingURL=nk-diamond.js.map
