import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { i as initialize } from './wallet.js';

const NKDiamond = /*@__PURE__*/ proxyCustomElement(class NKDiamond extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.collectionId = undefined;
    this.isDev = undefined;
    this.loading = true;
  }
  async componentWillLoad() {
    await initialize(this.collectionId, this.isDev);
    this.loading = false;
  }
  render() {
    return h(Host, null, !this.loading ? h("slot", null) : null);
  }
}, [1, "nk-diamond", {
    "collectionId": [1, "collection-id"],
    "isDev": [4, "is-dev"],
    "loading": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["nk-diamond"];
  components.forEach(tagName => { switch (tagName) {
    case "nk-diamond":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, NKDiamond);
      }
      break;
  } });
}

const NkDiamond = NKDiamond;
const defineCustomElement = defineCustomElement$1;

export { NkDiamond, defineCustomElement };

//# sourceMappingURL=nk-diamond.js.map